# -*- coding: utf-8 -*-

TYPE_PM = (
    (0, u"Structure"),
    (1, u"Agriculteur"),
    (2, u"Agriculteur bio"),
    )

CHOIX_CIVILITE = (
    (u'M.', 'Monsieur'),
    (u'Mme', 'Madame'),
    )

CHOIX_PARCS_NATURELS_REGIONAUX = (
    (u"", "Aucun"),
    (u"Parc naturel régional des Caps et Marais d'Opale",
     "Parc naturel régional des Caps et Marais d'Opale"),
    (u"Parc naturel régional Scarpe-Escaut",
     "Parc naturel régional Scarpe-Escaut"),
    (u"Parc naturel régional de l'Avesnois",
     "Parc naturel régional de l'Avesnois"),
    )

CHOIX_VISIBILITE = (
    (u"personne",    u"Dépublié"),
    (u"tous",        u"Visible par tous"),
    (u"adherents",   u"Visible par les adhérents seulement"),
    )

# Type de vente (utilisé dans Assolement)
CHOIX_TYPE_CIRCUIT = (
    (u"VD", "Vente Directe"),
    (u"CC", "Circuit court"),
    (u"CL", "Circuit long"),
    )

CHOIX_COMMERCIALISATION_VENTE_DIRECTE = (
    (u"paniers", "Paniers"),
    (u"vente à la ferme", "Vente à la ferme"),
    (u"marchés", "Marchés"),
    (u"autres", "Autres"),
    )

CHOIX_COMMERCIALISATION_CIRCUIT_COURT = (
    (u"biocabas", "Biocabas"),
    (u"distributeurs", "Distributeurs"),
    (u"autres", "Autres"),
    )

CHOIX_COMMERCIALISATION_CIRCUIT_LONG = (
    (u"transformateurs", u"Transformateurs"),
    (u"marchés de gros", u"Marché de gros"),
    (u"autres", u"Autres"),
    )

CHOIX_SYSTEME_FORCAGE_ENDIVES = (
    (u"aucun", "Aucun"),
    (u"en salle", "En salle"),
    (u"en pleine terre", "En pleine terre"),
    )

CHOIX_TYPE_ATELIER = (
    (u"dispense d'agrément", u"Dispense d'agrément"),
    (u"agrément CEE", u"Agrément CEE"),
    )

## from forms

CHOIX_NULLBOOLEAN = (
    ('ind','Indifférent'),
    ('oui','Oui'),
    ('non', 'Non')
    )

# old
CHOIX_TYPES_RDV = (
    (u'premier_diagnostic','Premier diagnostic'),
    (u'etude', 'Étude'),
    (u'suivi_conversion', 'Suivi de conversion'),
    (u'visite_annuelle', 'Visite annuelle'),
    )

# new
CHOIX_TYPE_RDV = (
    ('Individuel', (
    (u'premier_diagnostic','Premier diagnostic'),
    (u'etude', 'Étude'),
    (u'suivi_projet', 'Suivi projet'),
    (u'suivi_conversion', 'Suivi de conversion'),
    (u'visite_annuelle', 'Suivi bio'),
     ),),
    ('Collectif',(
    (u'evt', 'Evenement'),
    (u'formation', 'Formation'),
    (u'visite_ferme', 'Visite de ferme'),
    (u'autre', 'Autre'),
     ),),
    )

MTX_TYPE_RDV = {
    'pbio': set((
            'premier_diagnostic',
            'etude',
            'suivi_conversion',
            'suivi_projet',
            )),
    'indiv': set((
            'premier_diagnostic',
            'etude',
            'suivi_conversion',
            'visite_annuelle',
            'suivi_projet',)),
    'collect': set((
            'evt',
            'formation',
            'visite_ferme')),
    }

# 2014-05-29: pas utilise
CHOIX_MODES_COMMERCIALISATION = (
    (u'biocabas', 'Biocabas'),
    (u'vente_direct', 'Vente directe'),
    (u'AMAP', 'AMAP'),
    )

# 2014-05-29: pas utilise
CHOIX_ABONNEMENT_LETTRE_ADHERENTS = (
    (u'non', 'Non abonné'),
    (u'courriel', 'Par courrier électronique'),
    (u'courier', 'Par courrier papier'),
    )

# Choix de l'année de premier contact
CHOIX_ANNEE = [ (i, i) for i in range(2008, 2019) ]

# Choix de mois (de premier contact)
CHOIX_MOIS = (
    (1, 'Janvier'),
    (2, 'Février'),
    (3, 'Mars'),
    (4, 'Avril'),
    (5, 'Mai'),
    (6, 'Juin'),
    (7, 'Juillet'),
    (8, 'Août'),
    (9, 'Septembre'),
    (10, 'Octobre'),
    (11, 'Novembre'),
    (12, 'Décembre'),
    )

CHOIX_TERME = (
    ('long terme', u'Long terme'),
    ('moyen terme', u'Moyen terme'),
    ('date fournie', u'Date précisée ci-après')
    )

POND_CONV = (
    (-1, u'frein à la conversion '),
    (0, u'neutre'),
    (1, u'point favorable à la conversion'),
    )

TYPE_TRANS = (
    ('lait', u"Produits laitiers"),
    ('fruits', u"Fruits"),
    ('legumes', u"Légumes"),
    ('cereales', u"Céreales"),
    ('autres', u"Autres"),
)

TYPE_CIRCUIT = (
    ("autre", u"Autre point de vente"),
    ("marche", u"Marché"),
    ("vte_ferme", u"Vente à la Ferme"),
    ("ceuill_lib", u"cueillette libre"),
    ("panier_caiss", u"Paniers/Caissettes"),
    ("amap", u"AMAP"),
    ("biocabas", u"Biocabas"),
    ("vte_collect", u"Point de vente collectif"),
    ("vte_inet", u"Vente par internet"),
    ("magasin", u"Magasins"),
    ("rest_comm", u"Restauration commerciale"),
    ("rest_hors_dom", u"Restauration collective"),
    ("c_long", u"Circuits longs (grossiste, coopérative,"
     u" autre acheteur intermédiaire)"),
    )

TYPE_PRODUIT = (
    ("autre", u"autres"),
    ("legume", u"Légumes"),
    ("fruit", u"Fruits"),
    ("cereale", u"Produits céréaliers"),
    ("viande", u"Viande"),
    ("p_lait", u"Produits laitiers"),
    ("oeuf", u"Œufs"),
    )

TYPE_AGREMENT = (
    ("dispence", u"Dispense"),
    ("ce", u" CE"),
    ("aucun", u" aucun"),
    )

# EOF
