# -*- coding: utf-8 -*-

from selectable.base import ModelLookup
from selectable.decorators import login_required
from selectable.registry import registry

import references.models as r_models


@login_required
class CommuneLookup(ModelLookup):
    model = r_models.Commune
    search_fields = ('nom__istartswith', 'code_postal__startswith')


registry.register(CommuneLookup)

# EOF
